<?php
add_filter( 'wpsf_register_settings_iconic_woo_show_single_variations', 'iconic_woo_show_single_variations_settings' );

/**
 * WooCommerce Show Single variations Settings
 *
 * @param arr $wpsf_settings
 * @return arr
 */
function iconic_woo_show_single_variations_settings( $wpsf_settings ) {

	$wpsf_settings = array(

		/**
		 * Define: Tabs
		 *
		 * Define the tabs and their IDs
		 */
		'tabs' => array(

			array(
				'id' => 'dashboard',
				'title' => __( 'Dashboard', 'iconic-woo-show-single-variations' )
			),

		),

		/**
		 * Define: Sections
		 *
		 * Define the sections within our tabs, and give each
		 * section a related tab ID
		 */
		'sections' => array(

			// Welcome

			array(
                'tab_id' => 'dashboard',
                'section_id' => 'welcome',
                'section_title' => __( 'Welcome', 'iconic-woo-show-single-variations' ),
                'section_description' => Iconic_WSSV_Settings::get_introduction(),
                'section_order' => 0,
                'type' => 'message',
                'fields' => array()

            ),

            // Tools

            array(
                'tab_id' => 'dashboard',
                'section_id' => 'tools',
                'section_title' => __('Tools', 'iconic-woo-show-single-variations'),
                'section_description' => '',
                'section_order' => 0,
                'fields' => array(
                    array(
                        'id' => 'process-variation-visibility',
                        'title' => __( 'Process Variation Visibility', 'iconic-woo-show-single-variations' ),
                        'subtitle' => __( 'Run this to set the visibility of all variations. This will maintain your current variation visibility settings, but set any un-configured variations to "hidden".', 'iconic-woo-show-single-variations' ),
                        'type' => 'custom',
                        'default' => Iconic_WSSV_Settings::get_process_variation_visibility_link()
                    ),
                    /*
                    array(
                        'id' => 'process-variation-sort-order',
                        'title' => __( 'Process Sort Order', 'iconic-woo-show-single-variations' ),
                        'subtitle' => __( 'Run this to set the sort order of your variations. This will set all variations to show after their parent in the product listings.', 'iconic-woo-show-single-variations' ),
                        'type' => 'custom',
                        'default' => Iconic_WSSV_Settings::get_process_variation_sort_order_link()
                    ),
                    */
                )

            ),

		)

	);

	return $wpsf_settings;

}